Skip to Content
Transactional SMS

Query message dispatch history

View Markdown (.md)
GET
/api/v1/public/sms/history

Returns recent dispatched messages within an optional date-time range (up to 100 entries).

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Query Parameters

from?string

Filter messages dispatched on or after this timestamp

Formatdate-time
to?string

Filter messages dispatched on or before this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Rangevalue <= 100
Default50

Response Body

List of recent dispatched SMS records

application/json
  1. response
status?string
data?array<>
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/sms/history'
Example Response
{  "status": "string",  "data": [    {      "id": "string",      "to": "string",      "message": "string",      "status": "string",      "deliveryStatus": "string",      "senderId": "string",      "segmentCount": 0,      "sentAt": "2019-08-24T14:15:22Z"    }  ]}